using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.HM
{
    /// <summary>
    /// 作业前安全确认
    /// </summary>
    [Description("作业前安全确认")]
    public class T_HM_OPERATION_TASK_SAFE_CONFIRM : MesEntityBase
    {
        /// <summary>
        /// 作业环节ID
        /// </summary>
        [Description("作业环节ID")]
        [DataFieldForeignKey("Nav_OperationLink", "Nav_SafeConfirms")]
        public Guid OPERATION_LINK_ID { get; set; }

        /// <summary>
        /// 导航属性：作业环节
        /// </summary>
        [Description("导航属性：作业环节")]
        public T_HM_OPERATION_LINK Nav_OperationLink { get; set; }
        /// <summary>
        /// 编码
        /// </summary>
        [Description("编码")]
        [DataFieldLength(50)]
        public string CODE { get; set; }

        /// <summary>
        /// 名称
        /// </summary>
        [Description("名称")]
        [DataFieldLength(600)]
        [FormFieldEdit]
        public string NAME { get; set; }

        [Description("序号")]
        public int? NUM { get; set; }
    }
}